Bug 169811 - reduce cross dependencies: perl
reduce cross dependencies: perl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 17:56 EDT by Dan Hollis
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 13:09:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hollis 2005-10-03 17:56:07 EDT
Description of problem:
policycoreutils has a single script dependent on perl: audit2allow
this could probably be rewritten in C or python, reducing the cross dependencies
of this package.
this would allow ditching perl from a barebones install - saving almost 30mb -
making it much easier to shoehorn FC4 into industrial / embedded systems.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
1.N/A
2.
3.
  
Actual results:
N/A

Expected results:
N/A

Additional info:
Comment 1 Daniel Walsh 2005-12-10 13:09:37 EST
audit2allow has been rewritten in python.

Note You need to log in before you can comment on or make changes to this bug.